# IRfAvatarSet Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | AddAvatarController ([in] IRsNode *pAvatarNode,[in] IRsNode *pControllerNode)
| inserts the avatar controller to specified avatar node
HRESULT | ApplyMorphs ([in] IRsNode *pAvatarNode,[in] IRdAvatarCustomization *pCustomization, RtBool animation, RtBool proportion)
| Applies body morphs on specified avatar node.
HRESULT | DisableSkeletonUpdates ([in] IRsNode *pAvatarNode)
| Forces all skeleton connectors to be local to avoid its transfer through network (deprecated, this is resolved on the animation level).
HRESULT | DressAvatar ([in] IRsNode *pAvatarNode,[in] IRsObjectList *pInventoryNodes,[in] RtBool optimize)
| Applies list of inventory items to avatar.
HRESULT | LoadPoseData ([in] IRsNode *pAvatarNode,[in] IStream *pStream)
| Reads pose data into avatar node from specified stream.
HRESULT | LoadMimicsData ([in] IRsNode *pAvatarNode,[in] IStream *pStream)
| Reads mimics data into avatar node from specified stream.
HRESULT | RemoveMorphs ([in] IRsNode *pAvatarNode)
| Removes body morphs and "bakes" them into mesh to enable hardware skinning.
HRESULT | SetupPosingAspect ([in] IRsNode *pAvatarNode,[in] RtBool editing)
| Sets up the UI for posing aspect.
HRESULT | StreamToNode ([in] IStream *pStream,[in] BSTR bszName,[out, retval] IRsNode **ppNode)
| Deserializes node from stream (convenience function).
HRESULT | AddFpnCamera ([in] IRsNode *pAvatarNode)
| Loads FPN camera object into the avatar encapsulator.

## Detailed Description

implements subset of RhAvatarInventory which is needed in avatar server package. See RhAvatarInventory for detailed explanation of routines

## Member Function Documentation

HRESULT IRfAvatarSet::AddAvatarController | ( | [in] IRsNode * | pAvatarNode,
|  | [in] IRsNode * | pControllerNode |
| ) |  |  |

inserts the avatar controller to specified avatar node

HRESULT IRfAvatarSet::ApplyMorphs | ( | [in] IRsNode * | pAvatarNode,
|  | [in] IRdAvatarCustomization * | pCustomization,
|  | RtBool | animation,
|  | RtBool | proportion |
| ) |  |  |

Applies body morphs on specified avatar node.

HRESULT IRfAvatarSet::DisableSkeletonUpdates | ( | [in] IRsNode * | pAvatarNode | ) |

Forces all skeleton connectors to be local to avoid its transfer through network (deprecated, this is resolved on the animation level).

HRESULT IRfAvatarSet::DressAvatar | ( | [in] IRsNode * | pAvatarNode,
|  | [in] IRsObjectList * | pInventoryNodes,
|  | [in] RtBool | optimize |
| ) |  |  |

Applies list of inventory items to avatar.

HRESULT IRfAvatarSet::LoadPoseData | ( | [in] IRsNode * | pAvatarNode,
|  | [in] IStream * | pStream |
| ) |  |  |

Reads pose data into avatar node from specified stream.

HRESULT IRfAvatarSet::LoadMimicsData | ( | [in] IRsNode * | pAvatarNode,
|  | [in] IStream * | pStream |
| ) |  |  |

Reads mimics data into avatar node from specified stream.

HRESULT IRfAvatarSet::RemoveMorphs | ( | [in] IRsNode * | pAvatarNode | ) |

Removes body morphs and "bakes" them into mesh to enable hardware skinning.

HRESULT IRfAvatarSet::SetupPosingAspect | ( | [in] IRsNode * | pAvatarNode,
|  | [in] RtBool | editing |
| ) |  |  |

Sets up the UI for posing aspect.

HRESULT IRfAvatarSet::StreamToNode | ( | [in] IStream * | pStream,
|  | [in] BSTR | bszName,
|  | [out, retval] IRsNode ** | ppNode |
| ) |  |  |

Deserializes node from stream (convenience function).

HRESULT IRfAvatarSet::AddFpnCamera | ( | [in] IRsNode * | pAvatarNode | ) |

Loads FPN camera object into the avatar encapsulator.